searchNodes=[{"ref":"Mix.Tasks.WebPush.Gen.Keypair.html","title":"Mix.Tasks.WebPush.Gen.Keypair","type":"task","doc":""},{"ref":"Mix.Tasks.WebPush.Gen.Keypair.html#run/1","title":"Mix.Tasks.WebPush.Gen.Keypair.run/1","type":"function","doc":""},{"ref":"WebPushEncryption.html","title":"WebPushEncryption","type":"module","doc":"Facade module to access encryption and push functionalities"},{"ref":"WebPushEncryption.html#encrypt/2","title":"WebPushEncryption.encrypt/2","type":"function","doc":"See WebPushEncryption.Encrypt.encrypt/2."},{"ref":"WebPushEncryption.html#encrypt/3","title":"WebPushEncryption.encrypt/3","type":"function","doc":"See WebPushEncryption.Encrypt.encrypt/3."},{"ref":"WebPushEncryption.html#send_web_push/2","title":"WebPushEncryption.send_web_push/2","type":"function","doc":"See WebPushEncryption.Push.send_web_push/2."},{"ref":"WebPushEncryption.html#send_web_push/3","title":"WebPushEncryption.send_web_push/3","type":"function","doc":"See WebPushEncryption.Push.send_web_push/3."},{"ref":"WebPushEncryption.Encrypt.html","title":"WebPushEncryption.Encrypt","type":"module","doc":"Module to encrypt notification payloads. See the following links for details about the encryption process. https://developers.google.com/web/updates/2016/03/web-push-encryption?hl=en"},{"ref":"WebPushEncryption.Encrypt.html#encrypt/3","title":"WebPushEncryption.Encrypt.encrypt/3","type":"function","doc":"Encrypts a web push notification body. Arguments message the body to encrypt subscription: See WebPushEncryption.Push.send_web_push/3 padding_length: An optional padding length Return value Returns the encrypted body as well as the necessary information in the following form: %{ciphertext: ciphertext, # the encrypted payload salt: salt, # the generated salt used during the encryption server_public_key: server_public_key} # the generated public key used during encryption"},{"ref":"WebPushEncryption.Push.html","title":"WebPushEncryption.Push","type":"module","doc":"Module to send web push notifications with a payload through GCM"},{"ref":"WebPushEncryption.Push.html#send_web_push/4","title":"WebPushEncryption.Push.send_web_push/4","type":"function","doc":"Sends a web push notification with a payload through GCM. Arguments message is a binary payload. It can be JSON encoded subscription is the subscription information received from the client. It should have the following form: %{keys: %{auth: AUTH, p256dh: P256DH}, endpoint: ENDPOINT} auth_token [Optional] is the GCM api key matching the gcm_sender_id from the client manifest.json. It is not necessary for Mozilla endpoints. ttl [Optional] is a non-negative integer Time To Live. It is the number of seconds that a message may be stored if the user is not immediately available. Mozilla Push Service only supports a maximum TTL of 5,184,000 seconds (about one month). Return value Returns the result of HTTPoison.post"},{"ref":"WebPushEncryption.Vapid.html","title":"WebPushEncryption.Vapid","type":"module","doc":""},{"ref":"WebPushEncryption.Vapid.html#get_headers/4","title":"WebPushEncryption.Vapid.get_headers/4","type":"function","doc":""},{"ref":"readme.html","title":"WebPushEncryption","type":"extras","doc":"WebPushEncryption Elixir implementation of Web Push Payload encryption."},{"ref":"readme.html#installation","title":"WebPushEncryption - Installation","type":"extras","doc":"Add web_push_encryption and a json library for jose to your list of dependencies in mix.exs. def deps do [ {:poison, &quot;~&gt; 0.4&quot;}, # see jose docs for more options here {:web_push_encryption, &quot;~&gt; 0.3&quot;} ] end Generate a web push Vapid keypair on the CLI and put it in your config.exs file: $ mix do deps.get, compile $ mix web_push.gen.keypair"},{"ref":"readme.html#usage","title":"WebPushEncryption - Usage","type":"extras","doc":"WebPushEncryption has two public API: WebPushEncryption.encrypt/3: Takes a body, a subscription, and an optional padding and returns a map containing ciphertext, server_public_key and salt. WebPushEncryption.send_web_push/3: Takes a body, a subcription, and a GCM secret key and sends a push notification with the given payload. body = ~s({&quot;hello&quot;: &quot;elixir&quot;}) subscription = %{keys: %{p256dh: &quot;P256DH&quot;, auth: &quot;AUTH&quot; }, endpoint: &quot;ENDPOINT&quot;} gcm_api_key = &quot;API_KEY&quot; # encrypt the body encrypted_body = WebPushEncryption.encrypt(body, subscription) # or just send the push {:ok, response} = WebPushEncryption.send_web_push(body, subscription, gcm_api_key) See the docs for more info."},{"ref":"readme.html#client-sample","title":"WebPushEncryption - Client Sample","type":"extras","doc":"You can find the strict minimum client code to try the library under client-sample. You will need Chrome &gt;= 50 or Firefox &gt;= 44."},{"ref":"readme.html#credits","title":"WebPushEncryption - Credits","type":"extras","doc":"The implementation is ported from googlechrome/web-push-encryption"}]